Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface HXITPQ

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PQ, QTY

All Known Implementing Classes:
  HXITPQImpl

    public interface HXITPQ

extends PQ

A representation of the model object 'HXITPQ'.

The following features are supported:

- `Valid Time`

See Also:
  `CDAR2Package.getHXITPQ()`

Method Summary
`IVLTS` | `getValidTime()` Returns the value of the 'Valid Time' containment reference.
`void` | `setValidTime(IVLTS value)` Sets the value of the '`Valid Time`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.PQ
`getTranslation, getUnit, getValue, isSetUnit, setUnit, setValue, unsetUnit`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValidTime

    IVLTS getValidTime()

  Returns the value of the 'Valid Time' containment reference. The time interval during which the given information was, is, or is expected to be valid. The interval can be open or closed, as well as infinite or undefined on either side.

  Returns:
    the value of the 'Valid Time' containment reference.
  See Also:
    `setValidTime(IVLTS)`, `CDAR2Package.getHXITPQ_ValidTime()`

### setValidTime

    void setValidTime(IVLTS value)

  Sets the value of the '`Valid Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Valid Time' containment reference.
  See Also:
    `getValidTime()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD